cdk_params(3)

NAME
cdk_params - Cdk command-line parsing

SYNOPSIS
cc [ flag ... ] file ... -lcdk [ library ... ]

#include <cdk.h>

int CDKparamNumber (
    CDK_PARAMS *params,
    int option);

int CDKparamNumber2 (
    CDK_PARAMS *params,
    int option,
    int missing);

char * CDKparamString (
    CDK_PARAMS *params,
    int option);

char * CDKparamString2 (
    CDK_PARAMS *params,
    int option,
    const char *missing);

void CDKparseParams (
    int argc,
    char **argv,
    CDK_PARAMS *params,
    const char *options);

int CDKparsePosition (
    char *string);

int CDKparamValue (
    CDK_PARAMS * params,
    int option,
    int missing);

DESCRIPTION
These are a set of functions used to implement the command-line utilities and demonstration programs for Cdk. Rather than set the programs' options at initialization, they construct a simple database which holds the common parameters using CDKparseParams().

AVAILABLE FUNCTIONS

CDKparamNumber
    Retrieves an integer (or boolean) option value from the parsed command-line.

CDKparamNumber2
    Retrieves an optional integer (or boolean) value from the parsed command-line. If the command line option is not present, the missing value is used.

CDKparamString
    Retrieves a string option value from the parsed command-line.

CDKparamString2
    Retrieve an optional string option value from the parsed command-line.

CDKparamValue
    Retrieve an integer (or boolean) option value from the parsed command-line.

CDKparseParams
    Parse the given argc/argv command-line, with the options passed to getopt()'s 3rd parameter.

CDKparsePosition
    Parse the string as one of CDK's positioning keywords, or an actual position.

SEE ALSO
cdk_position(3), getopt(3)